# POST /visits/add_walkin URL: https://developers.vsee.io/api/visit-api/post/visits/add_walkin operationId: createWalkinVisit Auth: User Token — Requires a user access token from login or SSO. Create a walk-in visit Create a new walk-in visit for a patient Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - provider_id (query, string, optional) — The ID of the provider (optional) - intake_id (query, string, required) — The ID of the intake - visit_data_id (query, string, required) — The ID of a scheduled appointment - visit_id (query, string, optional) — The ID of a scheduled appointment (optional) - user_code (query, string, optional) — Patient's code ID (optional) - room_code (query, string, required) — Current room's code Responses: - 200 — Walk-in visit created successfully ```json { "data": { "id": "1525", "member_id": "508", "provider_id": "509", "account_code": null, "code": "56e8c580f55c44a2868b66f0ac1f0144", "start": "1458095488", "end": "1458096388", "type": "1", "status": "10", "room_id": null, "intake": { "provider": "509", "reason_for_visit": "Test intake functionalities 1", "type": "1", "visit_id": "1525", "id": "56e8c536-566c-44b6-bbca-66f0ac1f0144" }, "provider": { "id": "509", "first_name": "Ligeng", "last_name": "Doctor" }, "member": { "id": "508", "first_name": "Ligeng", "last_name": "01" } } } ``` - 400 — Bad request - missing required parameters ```json { "error": "Unauthorized", "message": "Invalid or missing API token" } ``` - 401 — Unauthorized ```json { "error": "Unauthorized", "message": "Invalid or missing API token" } ```